package cn.wise.sc.cement.business.service;

import cn.wise.sc.cement.business.entity.Team;
import cn.wise.sc.cement.business.model.BaseResponse;
import cn.wise.sc.cement.business.model.PageQuery;
import cn.wise.sc.cement.business.model.query.TeamQuery;
import cn.wise.sc.cement.business.model.vo.TeamListVo;
import cn.wise.sc.cement.business.model.vo.TeamVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ztw
 * @since 2020-08-18
 */
public interface ITeamService extends IService<Team> {

	BaseResponse<IPage<TeamVo>> getPage(PageQuery pageQuery, Integer status, String groupName, String name, Integer qualifications);

	BaseResponse<Team> create(TeamQuery query);

	BaseResponse<Team> update(TeamQuery query);

	BaseResponse<String> status(Integer status, Integer id);

	BaseResponse<TeamVo> getDetail(Integer id);

	BaseResponse<List<TeamListVo>> getList();

	void export(Integer status, Integer gourpId, String name, String fileName, HttpServletResponse response);

	BaseResponse<List<String>> getByGroup(Integer id);

}
